#
# spec file for package zlib (Version 1.2.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         zlib
License:      Other License(s), see package
Group:        System/Libraries
Provides:     libgz.so.1 libz
Obsoletes:    libz
Autoreqprov:  on
Version:      1.2.1
Release:      70.12
Summary:      A data compression library
Source:       zlib-%{version}.tar.bz2
Patch:        zlib-1.2.1-make-test.patch
Patch1:       zlib-1.2.1-vsnprintf.patch
Patch2:       zlib-1.2.1-CFLAGS.dif
Patch3:       zlib-1.2.1-crash.patch
Patch4:       zlib-1.2.1-CAN-2005-2096.patch
Patch5:       zlib-CAN-2005-1849.patch
URL:          http://www.gzip.org/zlib/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
ftp://ds.internic.net/rfc/rfc1950.txt (zlib format), rfc1951.txt
(deflate format) and rfc1952.txt (gzip format). These documents are
also available in other formats from
ftp://ftp.uu.net/graphics/png/documents/zlib/zdoc-index.html.



Authors:
--------
    Rob Hooft <hooft@EMBL-Heidelberg.DE>
    Michael Mauldin <mlm@cs.cmu.edu>

%package devel
Summary:      Include Files and Libraries mandatory for Development.
Group:        Development/Languages/C and C++
Provides:     libz:/usr/include/zlib.h
Requires:     zlib = %{version}
Autoreqprov:  on

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require the provided includes and
libraries.



%prep
%setup
%patch -p1
%patch1
%patch2
%patch3
%patch4
%patch5 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -Wa,--noexecstack" ./configure --shared
make
make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%_lib,/usr/%_lib}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT/usr/include
make install \
	prefix=$RPM_BUILD_ROOT/%{_prefix} \
	libdir=$RPM_BUILD_ROOT/%{_lib}
ln -sf ../../%{_lib}/libz.so.1 $RPM_BUILD_ROOT/usr/%{_lib}/libz.so
# static lib
make libz.a
install -m 644 libz.a $RPM_BUILD_ROOT/usr/%{_lib}
# manpage
install -m 644 zlib.3 $RPM_BUILD_ROOT/%{_mandir}/man3
install -m 644 zutil.h $RPM_BUILD_ROOT/usr/include
# libgz alias (hopefully unused by now)
ln -sf libz.a $RPM_BUILD_ROOT/usr/%{_lib}/libgz.a
ln -sf ../../%{_lib}/libz.so.1 $RPM_BUILD_ROOT/usr/%{_lib}/libgz.so.1

%files
%defattr(-,root,root)
%doc README ChangeLog algorithm.txt
/usr/%{_lib}/libgz.so.1
/%{_lib}/libz.so.1.2.?
/%{_lib}/libz.so.1

%files devel
%defattr(-,root,root)
%doc %{_mandir}/man3/zlib.3.gz
/usr/%{_lib}/libgz.a
/usr/include/zlib.h
/usr/include/zconf.h
/usr/include/zutil.h
/usr/%{_lib}/libz.so
/usr/%{_lib}/libz.a

%changelog -n zlib
* Thu Jul 21 2005 - meissner@suse.de
- fixed yet another memory corruption problem, CAN-2005-1849, #95512
* Mon Jul 04 2005 - meissner@suse.de
- fixed memory corruption problem #94926, CAN-2005-2096.
* Wed Aug 25 2004 - ro@suse.de
- updated crash patch to version from Dmitry (#44087)
* Mon Aug 23 2004 - ro@suse.de
- added fix for crash on invalid input (#44087)
* Thu Dec 04 2003 - ro@suse.de
- update to 1.2.1
* Fri Nov 21 2003 - kukuk@suse.de
- Use RPM_OPT_FLAGS
- Compile with no execstack
* Mon Oct 20 2003 - ro@suse.de
- don't build as root
* Mon May 12 2003 - kukuk@suse.de
- Add defattr
* Mon Mar 03 2003 - ro@suse.de
- do use vsnprintf
* Sun Feb 16 2003 - olh@suse.de
- no absolute symlinks for libz.so
* Thu Jul 25 2002 - kukuk@suse.de
- Rename to zlib
- Splitt off zlib-devel
* Fri Jul 05 2002 - bk@suse.de
- enable make test
* Mon May 27 2002 - ro@suse.de
- update to 1.1.4 including the previous security patch
- Returned incorrect error (Z_MEM_ERROR) on some invalid data
- Avoid accesses before window for invalid distances with inflate window
  less than 32K.
- force windowBits > 8 to avoid a bug in the encoder for a window size
  of 256 bytes. (A complete fix will be available in 1.1.5).
* Mon Feb 25 2002 - ro@suse.de
- remove executable bits from manpage and include file
* Thu Feb 07 2002 - draht@suse.de
- prevent double free() (security problem) with
  zlib-1.1.3-zfree.dif
* Tue Dec 11 2001 - froh@suse.de
- fixed specfile to use %%_libdir for make install for
  the sake of lib64 on S/390.  also updated old sparc64 %%ifarch at
  this point.
* Tue Dec 04 2001 - ro@suse.de
- added Provides zlib-devel for compatibility
* Tue May 01 2001 - kukuk@suse.de
- Minor spec file fixes for sparc64
* Thu Dec 07 2000 - kukuk@suse.de
- Install only shared library in /%%{_lib}
* Wed Dec 06 2000 - ro@suse.de
- install main lib in /%%{_lib} not /usr/%%{_lib}
* Mon Oct 02 2000 - kukuk@suse.de
- Use %%{_lib} macro
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Wed Apr 05 2000 - bk@suse.de
- fixed BuildRoot support
* Mon Apr 03 2000 - bk@suse.de
- added buildroot for build with dynamically linked rpm which uses libz(s390)
* Thu Jan 20 2000 - aj@suse.de
- /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - ro@suse.de
- added zutil.h
* Thu Mar 04 1999 - ro@suse.de
- moved from /usr/X11R6 to usr
- libgz is now only a link to libz
- "libgz.so.1" is provided from specfile
* Tue Aug 25 1998 - ro@suse.de
- update to 1.1.3
* Fri Mar 20 1998 - ro@suse.de
- update to 1.1.2
* Mon Mar 02 1998 - ro@suse.de
- update to 1.1.1
* Fri Feb 27 1998 - ro@suse.de
- update to version 1.0.9
  created own specfile for easier maintenance
  included man-pages
